LookupMapper

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.lookup.client
Class LookupMapper

    java.lang.Object
      org.openswing.swing.lookup.client.LookupMapper

public class LookupMapper
extends java.lang.Object

Title: OpenSwing Framework

Description: Mapper class to link lookup v.o. attributes to lookup container v.o. attributes.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`LookupMapper()`

Method Summary
`void` | `addLookup2ParentLink(java.lang.String lookupAttributeName, java.lang.String parentAttributeName)` Add the mapping: [ lookup v.o. attribute , lookup container v.o. attribute ]
`java.lang.String` | `getLookupAttributeName(java.lang.String parentAttributeName)`
`java.util.Enumeration` | `getLookupChangedAttributes()`
`java.lang.String` | `getParentAttributeName(java.lang.String lookupAttributeName)`
`java.util.Collection` | `getParentChangedAttributes()`
`boolean` | `setParentAttribute(LookupParent lookupParent, java.lang.String lookupAttributeName, java.lang.Class lookupAttributeType, java.lang.Object lookupAttributeValue)` Set lookup container v.o. attribute with the argument value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupMapper

    public LookupMapper()

Method Detail

### getParentChangedAttributes

    public final java.util.Collection getParentChangedAttributes()

  Returns:
    lookup container v.o. attributes

### getLookupChangedAttributes

    public final java.util.Enumeration getLookupChangedAttributes()

  Returns:
    lookup v.o. attributes

### addLookup2ParentLink

    public final void addLookup2ParentLink(java.lang.String lookupAttributeName,
                                           java.lang.String parentAttributeName)

  Add the mapping: [ lookup v.o. attribute , lookup container v.o. attribute ]

  Parameters:
    `lookupAttributeName` - lookup v.o. attribute
    `parentAttributeName` - lookup container v.o. attribute

### setParentAttribute

    public final boolean setParentAttribute(LookupParent lookupParent,
                                            java.lang.String lookupAttributeName,
                                            java.lang.Class lookupAttributeType,
                                            java.lang.Object lookupAttributeValue)

  Set lookup container v.o. attribute with the argument value.

  Parameters:
    `lookupParent` - lookup container
    `lookupAttributeName` - lookup v.o. attribute
    `lookupAttributeType` - lookup v.o. attribute type
    `lookupAttributeValue` - lookup v.o. attribute value
  Returns:
    `true` if there exists the mapping between lookup and container lookup attributes

### getLookupAttributeName

    public final java.lang.String getLookupAttributeName(java.lang.String parentAttributeName)

  Parameters:
    `parentAttributeName` - lookup container v.o. attribute
  Returns:
    lookup v.o. attribute related to lookup container v.o. attribute

### getParentAttributeName

    public final java.lang.String getParentAttributeName(java.lang.String lookupAttributeName)

  Parameters:
    `lookupAttributeName` - lookup container v.o. attribute
  Returns:
    v.o. attribute related to parent container v.o. attribute

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD